//
//  CPObjectDebugger.hpp
//  Meteor
//
//  Created by Cesar Parent on 29/08/2015.
//  Copyright © 2015 Cesar Parent. All rights reserved.
//

#ifndef CPObjectDebugger_hpp
#define CPObjectDebugger_hpp

#include <stdio.h>
#include <vector>

class CPObjectDebugger {
    
public:
    
    static void
    report();
    
    static void
    objectWasCreated(void* ptr);
    
    static void
    objectWasDestroyed(void* ptr);
    
private:
    
    static std::vector<void*> objects;
};

#endif /* CPObjectDebugger_hpp */
